//
//  ViewController.m
//  CustomerServiceDemo
//
//  Created by 0280106PC0119 on 2016/11/22.
//  Copyright © 2016年 quicksdk. All rights reserved.
//

#import "ViewController.h"
#import <CsSDK/CSManager.h>

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    
    NSArray *languages = [NSLocale preferredLanguages];
    NSString *str = [languages firstObject];
    if ([str containsString:@"en"]) {
        [self.enterBtn setTitle:@"Enter" forState:UIControlStateNormal];
    }
}

- (BOOL)prefersHomeIndicatorAutoHidden
{
    return YES;
}


- (IBAction)onEnterCustomerService:(id)sender {
    
    CSParamModel *param = [CSParamModel param];

    param.uId = @"uid123456";//用户uId
    param.userName = @"name";//用户名
    param.userNickNameId = @"23";//可选，当平台同账号下存在多个昵称时，可传入此值区分不用的昵称
    param.userNickName = @"gamerole";//用户昵称
    param.userNickNameNote = @"server";//传入昵称的备注，此数据会在后端客服查看时与昵称一并显示
    param.vipLevel = @"3";//用户在平台的vip级别

    //打开客服系统
    [[CSManager sharedInstance] enterServiesystem:param];    
}


@end
